package net.meutel.recettes.api.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import net.meutel.recettes.api.entity.ReceipeEntity;
import net.meutel.recettes.api.model.Receipe;

@Mapper(componentModel = "spring")
public interface ReceipeSimplifiedMapper {
    
    @Mapping(target = "ingredients", ignore = true)
    @Mapping(target = "receipeYield", ignore = true)
    @Mapping(target = "steps", ignore = true)
    Receipe fromEntity(ReceipeEntity entity);
    
    @Mapping(target = "ingredients", ignore = true)
    @Mapping(target = "steps", ignore = true)
    ReceipeEntity toEntity(Receipe model);

}
