package net.meutel.recettes.api.entity;

import java.util.List;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
@Document("receipes")
public class ReceipeEntity {

    @Id
    private String id;
    private String name;
    private String description;
    private String cookTime;
    private String prepTime;
    private String author;
    private ReceipeYieldEntity receipeYield;
    private List<ReceipeIngredientEntity> ingredients;
    private List<ReceipeStepEntity> steps;
    
}
