package net.meutel.recettes.api.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import net.meutel.recettes.api.entity.ReceipeIngredientEntity;
import net.meutel.recettes.api.model.Ingredient;

@Mapper(componentModel = "spring")
public interface IngredientMapper {
    
    Ingredient fromEntity(ReceipeIngredientEntity entity);
    
    @Mapping(target = "ref", ignore = true)
    ReceipeIngredientEntity toEntity(Ingredient model);
}
