package net.meutel.recettes.api.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import net.meutel.recettes.api.entity.RecetteParamEntity;
import net.meutel.recettes.api.model.RecetteParam;

@Mapper(componentModel = "spring")
public interface RecetteParamMapper {

    @Mapping(target = "atType", source = "entity._type")
    RecetteParam fromEntity(RecetteParamEntity entity);
    
    @Mapping(target = "_type", source = "model.atType")
    RecetteParamEntity toEntity(RecetteParam model);
    
}
