package net.meutel.recettes.api.service;

import java.util.List;

import org.springframework.lang.NonNull;

import net.meutel.recettes.api.exception.ItemNotFoundException;
import net.meutel.recettes.api.model.Receipe;

public interface ReceipeService {
    
    default List<Receipe> findReceipes() {
        return List.of();
    }

    @NonNull
    default Receipe getReceipeById(String id) {
        throw new ItemNotFoundException("Receipe", id);
    }

}
